<template>
  <div class="task-card-wrapper">
    <div class="task-card-title-wrapper">
      <div class="task-card-title">宁波人力无忧人力资源有限公司</div>
    </div>
    <div class="task-card-footer">
      <div class="task-card-left">
        <div class="task-card-time">2024.11.20 - 2025.11.19</div>
      </div>
      <div class="task-card-actions">
        <slot name="actions">
          <nut-button type="primary">报名</nut-button>
        </slot>
      </div>
    </div>
  </div>
</template>

<script setup lang="ts">
import { CommonTaskCardProps } from './card';

defineOptions({
  name: 'MineAgreementSignCard',
});

const props = withDefaults(defineProps<CommonTaskCardProps>(), {});
</script>

<style lang="scss">
@import '@/styles/common.scss';

.task-card-wrapper {
  padding: 24px 32px;
  margin-bottom: 24px;
  background-color: #fff;
  border-radius: 12px;

  &:last-child {
    margin-bottom: 0;
  }

  .task-card-title-wrapper {
    display: flex;
    align-items: center;
    margin-bottom: 14px;

    .task-card-title {
      flex: 1;
      min-width: 0;
      @include ellipsis;
      font-size: 30px;
      color: boleGetCssVar('text-color', 'primary');
      line-height: 42px;
    }
  }

  .task-card-time {
    font-size: 24px;
    color: boleGetCssVar('text-color', 'secondary');
    line-height: 36px;
    margin-bottom: 6px;
  }

  .task-card-footer {
    display: flex;
    align-items: center;

    .task-card-left {
      flex: 1;
      min-width: 0;
      display: flex;
      align-items: center;
    }

    .task-card-actions {
      --nut-button-default-font-size: 24px;

      .nut-button {
        height: 26px;
      }
    }
  }
}
</style>
